Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
codec_base.h File Reference
`#include <botan/secmem.h>`
`#include <botan/exceptn.h>`
`#include <vector>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
template<typename Base >
size_t | Botan::base_decode (Base &&base, uint8_t output[], const char input[], size_t input_length, size_t &input_consumed, bool final_inputs, bool ignore_ws=true)
template<typename Base >
size_t | Botan::base_decode_full (Base &&base, uint8_t output[], const char input[], size_t input_length, bool ignore_ws)
template<typename Vector , typename Base >
Vector | Botan::base_decode_to_vec (Base &&base, const char input[], size_t input_length, bool ignore_ws)
template<class Base >
size_t | Botan::base_encode (Base &&base, char output[], const uint8_t input[], size_t input_length, size_t &input_consumed, bool final_inputs)
template<typename Base >
std::string | Botan::base_encode_to_string (Base &&base, const uint8_t input[], size_t input_length)